// Function to generate a random alphanumeric CAPTCHA code
function generateRandomCaptcha(length) {
    const charset = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    let captcha = '';
    for (let i = 0; i < length; i++) {
        const randomIndex = Math.floor(Math.random() * charset.length);
        captcha += charset.charAt(randomIndex);
    }
    return captcha;
}

// Function to refresh the CAPTCHA
function refreshCaptcha() {
    const captchaInput = document.getElementById('captcha');
    const captchaImg = document.getElementById('captcha-img');
    const captchaCode = generateRandomCaptcha(6);

    captchaInput.value = '';
    captchaImg.src = `https://via.placeholder.com/150x30/007BFF/FFFFFF?text=${captchaCode}`;
}

// Function to handle form submission
function submitForm(event) {
    event.preventDefault();
    const captchaInput = document.getElementById('captcha');
    const captchaCode = captchaInput.value;
    const expectedCode = document.getElementById('captcha-img').src.split('=')[1];

    if (captchaCode.toUpperCase() === expectedCode.toUpperCase()) {
        alert(`Form submitted successfully!\n\nName: ${document.getElementById('name').value}\nEmail: ${document.getElementById('email').value}\nMessage: ${document.getElementById('message').value}`);
        refreshCaptcha();
    } else {
        alert('CAPTCHA code is incorrect. Please try again.');
        refreshCaptcha();
    }
}

refreshCaptcha();